Bug 14811 - add "The GNU Privacy Handbook" to the help menu
: add "The GNU Privacy Handbook" to the help menu
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdeutils-kgpg)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-08 00:17 by
Modified: 2010-11-08 17:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-08 00:17:00
kdeutils-kgpg-3.5.9-alt1
gnupg-manual-en-1.8-alt2
gnupg-manual-ru-1.7-alt2

I have "The GNU Privacy Handbook" installed, but the "Help" menu in kgpg has
only "KGpg handbook" and "View GnuPG Manual" (which shows the manpage) items.
It'd be good also to have a link to "The GNU Privacy Handbook"
(/usr/share/doc/gnupg-manual-en-1.8/book1.html).
Steps to Reproduce:
1. "Help" > "View GnuPG Manual"
2.
3.
Actual Results:  
the manpage

Expected Results:  
There is a way to read the "The GNU Privacy Handbook".
------- Comment #1 From 2008-03-13 10:49:33 -------
Possible, is there better way to add menu item "View GNU Privacy Handbook"?
------- Comment #2 From 2008-03-13 14:28:17 -------
Проблема в том, что для документации в FreeDesktop-ном меню нет отдельной 
секции для документации.
Вот бы ее интегрировать как-то в alt-docs...
------- Comment #3 From 2010-11-06 12:59:10 -------
Насколько понимаю:
- запрос о пункте в меню "Help" в самом kgpg;
- требуется либо жёсткая зависимость по версии на доку,
  либо какой-то нетривиальный механизм обеспечения работы пункта;
- в kde3 это делаться точно уже не будет => WONTFIX.
------- Comment #4 From 2010-11-08 17:19:02 -------
(В ответ на комментарий №3)
> Насколько понимаю:
> - запрос о пункте в меню "Help" в самом kgpg;
> - требуется либо жёсткая зависимость по версии на доку,
>   либо какой-то нетривиальный механизм обеспечения работы пункта;
В kgpg из kde4 есть пункт для man gpg

> - в kde3 это делаться точно уже не будет => WONTFIX.
Да, не будет.